aboutsummaryrefslogtreecommitdiff
path: root/performance-test
diff options
context:
space:
mode:
authorJani Nikula <jani@nikula.org>2017-09-25 23:38:24 +0300
committerDavid Bremner <david@tethera.net>2017-10-20 19:54:22 -0300
commit2e16b051528b273e16306224f128b28d0091bc6a (patch)
treeef64449beef1f728ffed76d67469c77b302d92d9 /performance-test
parenta9894fce06794680ab62dea0ff5d5a6e05e08281 (diff)
perf-test: use source and build paths in perf-test-lib.sh
Make a distinction between source and build directories.
Diffstat (limited to 'performance-test')
-rw-r--r--performance-test/perf-test-lib.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index c89d5aab..56538abd 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -1,4 +1,4 @@
-. ./version.sh || exit 1
+. $(dirname "$0")/version.sh || exit 1
corpus_size=large
@@ -25,12 +25,16 @@ do
echo "error: unknown performance test option '$1'" >&2; exit 1 ;;
esac
done
-. ../test/test-lib-common.sh || exit 1
+
+# Ensure NOTMUCH_SRCDIR and NOTMUCH_BUILDDIR are set.
+. $(dirname "$0")/../test/export-dirs.sh || exit 1
+
+. "$NOTMUCH_SRCDIR/test/test-lib-common.sh" || exit 1
set -e
-if ! test -x ../notmuch
-then
+# It appears that people try to run tests without building...
+if [[ ! -x "$NOTMUCH_BUILDDIR/notmuch" ]]; then
echo >&2 'You do not seem to have built notmuch yet.'
exit 1
fi